Supported Web Browsers.

Agreement Express supports the following browsers:

  • Internet Explorer 11
  • Firefox (versions 30 and up)
  • Chrome (versions 40 and up)
  • Safari on Mac (versions 5 and up)


Additional Settings

  • Browsers must have JavaScript enabled. 
  • To use the Flex environment, you will also need the Flash Plug-in (version 11 or higher).

 

Mobile Browsers

On iOS versions 6.0+

  • Safari 5 or later

On other devices

  • Firefox 30 or later
  • Chrome 40 or later
  • Internet Explorer 11 or later

 

Additional Mobile Browser Settings

Browsers must have JavaScript enabled.

 

2016-05-18

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.